KParts::MainWindow class Reference (kparts Library)

| # kparts Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KParts::MainWindow Class Reference

A KPart-aware main window, whose user interface is described in XML. More...

`#include <mainwindow.h>`

Inheritance diagram for KParts::MainWindow:

[legend]
Collaboration diagram for KParts::MainWindow:

[legend]
List of all members.

## Public Member Functions
| MainWindow (QWidget *parent, const char *name=0L, WFlags f=WType_TopLevel|WDestructiveClose)
| Constructor, same signature as KMainWindow.
| MainWindow (const char *name=0L, WFlags f=WDestructiveClose)
| Compatibility Constructor, same signature as KMainWindow.
virtual | ~MainWindow ()
| Destructor.
## Protected Slots
void | createGUI (KParts::Part *part)
| Create the GUI (by merging the host's and the active part's) You _must_ call this in order to see any GUI being created.
virtual void | slotSetStatusBarText (const QString &)
| Called when the active part wants to change the statusbar message Reimplement if your mainwindow has a complex statusbar (with several items).
## Protected Member Functions
virtual void | createShellGUI (bool create=true)

## Detailed Description

A KPart-aware main window, whose user interface is described in XML.

Inherit your main window from this class and don't forget to call setXMLFile() in the inherited constructor.

It implements all internal interfaces in the case of a KMainWindow as host: the builder and servant interface (for menu merging).

Definition at line 47 of file mainwindow.h.

## Constructor & Destructor Documentation

MainWindow::MainWindow | ( | QWidget * | parent,
|  | const char * | name = 0L,
|  | WFlags | f = WType_TopLevel|WDestructiveClose
| ) |

| Constructor, same signature as KMainWindow. Definition at line 60 of file mainwindow.cpp. References KStdAccel::name().

MainWindow::MainWindow | ( | const char * | name = 0L,
|  | WFlags | f = WDestructiveClose
| ) |

| Compatibility Constructor, same signature as KMainWindow. Definition at line 67 of file mainwindow.cpp. References KStdAccel::name().

MainWindow::~MainWindow | ( |  | ) | `[virtual]`

| Destructor. Definition at line 74 of file mainwindow.cpp.

## Member Function Documentation

void MainWindow::createGUI | ( | KParts::Part * | part | ) | `[protected, slot]`

  | Create the GUI (by merging the host's and the active part's) You _must_ call this in order to see any GUI being created. In a main window with multiple parts being shown (e.g. as in Konqueror) you need to connect this slot to the KPartManager::activePartChanged() signal Parameters:
  part | The active part (set to 0L if no part).
Definition at line 79 of file mainwindow.cpp. References KXMLGUIFactory::addClient(), QObject::className(), KXMLGUIClient::factory(), KMainWindow::guiFactory(), KGlobal::instance(), KParts::PartBase::loadPlugins(), QObject::name(), KXMLGUIFactory::removeClient(), QApplication::sendEvent(), KMainWindow::setCaption(), and slotSetStatusBarText().

void MainWindow::slotSetStatusBarText | ( | const QString & |  | ) | `[protected, virtual, slot]`

| Called when the active part wants to change the statusbar message Reimplement if your mainwindow has a complex statusbar (with several items). Definition at line 135 of file mainwindow.cpp. References QStatusBar::message(), and KMainWindow::statusBar(). Referenced by createGUI().

The documentation for this class was generated from the following files:

- mainwindow.h
- mainwindow.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:27:06 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001